-- collectorwatch: Audible alert if your target changes distance
--
-- Written by womble
--

cw = cw or {}
cw.active = false
cw.dist = nil
cw.timer = Timer()

function cw:watch()
	if not cw.active then
		return
	end
	
	if cw.dist == nil then
		local _
		_, _, cw.dist = GetTargetInfo()
	else
		local _, _, dist = GetTargetInfo()
		if math.abs(dist - cw.dist) > 5 then
			gksound.GKPlaySound("prox.warning")
		end
	end
	
	cw.timer:SetTimeout(500, cw.watch)
end

function cw:toggle()
	if cw.active then
		cw.active = false
		cw.dist = nil
		print("CollectorWatch is OFF")
	else
		cw.active = true
		cw.timer:SetTimeout(500, cw.watch)
		print("CollectorWatch is ON")
	end
end
	
RegisterUserCommand('collectorwatch_toggle', cw.toggle)
